#!/bin/bash

if [ -e /dev/.devfs ] ; then
	echo "You have devfs, nodes will be created automagically"
	exit 0
fi
if [ -e /dev/.udev ] ; then
	echo "You have udev, nodes will be created automagically"
	exit 0
fi

mkdir /dev/cdemu
for drivenumber in `seq -w 0 7` ; do
	mknod /dev/cdemu/${drivenumber} b 62 ${drivenumber}
done

echo "if no error did show up device files created ;-)"
